{==============================================================================

  Copyright (C) 2000-2001 by Evgeny Kryukov
  All rights reserved

  All contents of this file and all other files included in this archive
  are Copyright (C) 2001 Evgeny Kryukov. Use and/or distribution of
  them requires acceptance of the License Agreement.

  See License.txt for licence information

===============================================================================}

unit KsConvertFormAdd;

{$I KsCommonVer.Inc}
{$T-,W-,X+,P+}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls,
  {$IFDEF KS_COMPILER6}
  DesignIntf,
  {$ELSE }
  DsgnIntf,
  {$ENDIF}
  ToolIntf, ExptIntf, EditIntf;

type
  TfrmAddClass = class(TForm)
    Label1: TLabel;
    cbClassList: TComboBox;
    Button1: TButton;
    Button2: TButton;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAddClass: TfrmAddClass;

implementation

{$R *.DFM}

procedure TfrmAddClass.FormCreate(Sender: TObject);
var
  m, c: integer;
begin
  if ToolServices = nil then Exit;

  cbClassList.Items.Clear;
  for m := 0 to ToolServices.GetModuleCount-1 do
    for c := 0 to ToolServices.GetComponentCount(m)- 1 do
      cbClassList.Items.Add(ToolServices.GetComponentName(m, c));
end;

end.
